FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202006211650.p0 BUILD_VERSION=v4.3.27 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=27 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.27-202006211650.p? 
ENV __doozer=merge OS_GIT_COMMIT=48e2279 OS_GIT_VERSION=4.3.27-202006211650.p?-48e2279 SOURCE_DATE_EPOCH=1571133188 SOURCE_GIT_COMMIT=48e22793d59ddaa6b1914e4a8d28d6bad0398057 SOURCE_GIT_TAG=48e2279 SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
WORKDIR /go/src/github.com/kubernetes-csi/livenessprobe
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.27.20200621.173109
ENV __doozer=update BUILD_RELEASE=202006211650.p0 BUILD_VERSION=v4.3.27 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=27 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.27-202006211650.p? 
ENV __doozer=merge OS_GIT_COMMIT=48e2279 OS_GIT_VERSION=4.3.27-202006211650.p?-48e2279 SOURCE_DATE_EPOCH=1571133188 SOURCE_GIT_COMMIT=48e22793d59ddaa6b1914e4a8d28d6bad0398057 SOURCE_GIT_TAG=48e2279 SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
COPY --from=builder /go/src/github.com/kubernetes-csi/livenessprobe/bin/livenessprobe /usr/bin/
ENTRYPOINT ["/usr/bin/livenessprobe"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="Liveness probe for CSI drivers" \
        io.k8s.display-name="Liveness probe for CSI drivers" \
        io.openshift.tags="csi,storage,probe" \
        vendor="Red Hat" \
        name="openshift/ose-csi-livenessprobe" \
        com.redhat.component="csi-livenessprobe-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        version="v4.3.27" \
        release="202006211650.p0" \
        io.openshift.build.commit.id="48e22793d59ddaa6b1914e4a8d28d6bad0398057" \
        io.openshift.build.source-location="https://github.com/openshift/csi-livenessprobe" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-livenessprobe/commit/48e22793d59ddaa6b1914e4a8d28d6bad0398057"

